/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_MEDIAHUB_DEFINE_H__
#define __AIR_MEDIAHUB_DEFINE_H__

/* views */
#include "view/base.h"
#include "view/viewer.h"
#include "view/mplayer.h"
#include "view/action_menu.h"

/* layouts */
#include "layout/movie.h"
#include "layout/gallery.h"
#include "layout/music.h"

/* defines */
#define STYLE_INVISIBLE "invisible"

#define FONT_REGULAR "TizenSans"
#define FONT_LIGHT "TizenSans:style=Light"
#define FONT_BOLD "TizenSans:style=Bold"

#define COLOR_BASE_BG 247 247 247 255
#define COLOR_TEXT_TITLE 51 51 51 255
#define COLOR_TEXT_MENU 104 104 104 255
#define COLOR_TEXT_INDEX 77 77 77 255
#define COLOR_TEXT_NORMAL 87 87 87 255
#define COLOR_TEXT_INFO 153 153 153 255
#define COLOR_TEXT_FOCUS 255 255 255 255
#define COLOR_TEXT_FOCUS_0 255 255 255 0
#define COLOR_TEXT_SELECTED 64 136 211 255
#define COLOR_TEXT_DISABLED 87 87 87 128
#define COLOR_TEXT_BG 113 128 147 255
#define COLOR_ITEM_BG 255 255 255 255
#define COLOR_ITEM_DEFAULT 119 169 202 255
#define COLOR_ITEM_FOCUS 0 119 246 255
#define COLOR_ITEM_FOCUS_0 0 119 246 0
#define COLOR_ITEM_SELECTED 64 136 211 255
#define COLOR_ITEM_BAR 190 190 190 255
#define COLOR_ITEM_BORDER 194 194 194 255
#define COLOR_LIST_BG 244 244 244 255

/* part */
#define PART_ELM_TEXT_TITLE "elm.text.title"
#define PART_ELM_TEXT_TITLE2 "elm.text.title2"
#define PART_ELM_TEXT_ARTIST "elm.text.artist"
#define PART_ELM_TEXT_ALBUM "elm.text.album"
#define PART_ELM_TEXT_PLAYTIME "elm.text.playtime"
#define PART_ELM_SWALLOW_THUMBNAIL "elm.swallow.thumbnail"
#define PART_ELM_SWALLOW_VIDEO "elm.swallow.video"
#define PART_ELM_SWALLOW_FAVORITE "elm.swallow.favorite"
#define PART_ELM_SWALLOW_TEXTBG "elm.swallow.textbg"

/* signal */
#define SIG_BTN_CLICKED "btn,clicked"
#define SIG_BTN_SELECTED "btn,selected"
#define SIG_BTN_UNSELECTED "btn,unselected"
#define SIG_ITEM_SELECTED "item,selected"
#define SIG_ITEM_UNSELECTED "item,unselected"
#define SIG_ELM_UNFOCUSED "elm,state,unfocused"
#define SIG_SOURCE_EDC "edc"
#define SIG_SOURCE_ELM "elm"
#define SIG_SOURCE_SRC "src"

/* transition */
#define TRANSITION_FOCUS DECELERATE 0.20
#define TRANSITION_CLICK DECELERATE 0
#define TRANSITION_SHOW_BAR LINEAR 0.20
#define TRANSITION_SHOW_ICON LINEAR 0.35

#endif /* __AIR_MEDIAHUB_DEFINE_H__ */
